## GstRTSPServer

    GObject
        ╰──GstRTSPServer
            ╰──GstRTSPOnvifServer

This object listens on a port, creates and manages the clients connected to it.

### Members

`parent` (GObject) –
No description available

### Class structure

#### GstRTSPServerClass

The RTSP server class structure

##### Fields

`parent_class` (GObjectClass) –
No description available

### GstRtspServer.RTSPServerClass

The RTSP server class structure

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GstRtspServer.RTSPServerClass

The RTSP server class structure

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GstRtspServer.RTSPServer

    GObject.Object
        ╰──GstRtspServer.RTSPServer
            ╰──GstRtspServer.RTSPOnvifServer

This object listens on a port, creates and manages the clients connected to it.

### Members

`parent` (GObject.Object) –
No description available

## GstRtspServer.RTSPServer

    GObject.Object
        ╰──GstRtspServer.RTSPServer
            ╰──GstRtspServer.RTSPOnvifServer

This object listens on a port, creates and manages the clients connected to it.

### Members

`parent` (GObject.Object) –
No description available

### Constructors

#### gst_rtsp_server_new

    GstRTSPServer *
    gst_rtsp_server_new ()

Create a new GstRTSPServer instance.

Returns ( [transfer: full]) –

a new GstRTSPServer

#### GstRtspServer.RTSPServer.prototype.new

    function GstRtspServer.RTSPServer.prototype.new(): {
        // javascript wrapper for 'gst_rtsp_server_new'
    }

Create a new GstRtspServer.RTSPServer instance.

Returns (GstRtspServer.RTSPServer) –

a new GstRtspServer.RTSPServer

#### GstRtspServer.RTSPServer.new

    def GstRtspServer.RTSPServer.new ():
        #python wrapper for 'gst_rtsp_server_new'

Create a new GstRtspServer.RTSPServer instance.

Returns (GstRtspServer.RTSPServer) –

a new GstRtspServer.RTSPServer

### Methods

#### gst_rtsp_server_attach

    guint
    gst_rtsp_server_attach (GstRTSPServer * server,
                            GMainContext * context)

Attaches server to context. When the mainloop for context is run, the server will be dispatched. When context is NULL, the default context will be used).

This function should be called when the server properties and urls are fully configured and the server is ready to start.

This takes a reference on server until the source is destroyed. Note that if context is not the default main context as returned by g_main_context_default (or NULL), g_source_remove cannot be used to destroy the source. In that case it is recommended to use gst_rtsp_server_create_source and attach it to context manually.

Parameters:

`server` –

a GstRTSPServer

`context` ( [nullable]) –

a GMainContext

Returns –

the ID (greater than 0) for the source within the GMainContext.

#### GstRtspServer.RTSPServer.prototype.attach

    function GstRtspServer.RTSPServer.prototype.attach(context: GMainContext (not introspectable)): {
        // javascript wrapper for 'gst_rtsp_server_attach'
    }

Attaches server to context. When the mainloop for context is run, the server will be dispatched. When context is NULL, the default context will be used).

This function should be called when the server properties and urls are fully configured and the server is ready to start.

This takes a reference on server until the source is destroyed. Note that if context is not the default main context as returned by GLib.prototype.main_context_default (or NULL), GLib.prototype.source_remove cannot be used to destroy the source. In that case it is recommended to use GstRtspServer.RTSPServer.prototype.create_source and attach it to context manually.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`context` (GMainContext (not introspectable)) –

a GMainContext (not introspectable)

Returns (Number) –

the ID (greater than 0) for the source within the GMainContext.

#### GstRtspServer.RTSPServer.attach

    def GstRtspServer.RTSPServer.attach (self, context):
        #python wrapper for 'gst_rtsp_server_attach'

Attaches server to context. When the mainloop for context is run, the server will be dispatched. When context is NULL, the default context will be used).

This function should be called when the server properties and urls are fully configured and the server is ready to start.

This takes a reference on server until the source is destroyed. Note that if context is not the default main context as returned by GLib.main_context_default (or NULL), GLib.source_remove cannot be used to destroy the source. In that case it is recommended to use GstRtspServer.RTSPServer.create_source and attach it to context manually.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`context` (GMainContext (not introspectable)) –

a GMainContext (not introspectable)

Returns (int) –

the ID (greater than 0) for the source within the GMainContext.

#### gst_rtsp_server_client_filter

    GList *
    gst_rtsp_server_client_filter (GstRTSPServer * server,
                                   GstRTSPServerClientFilterFunc func,
                                   gpointer user_data)

Call func for each client managed by server. The result value of func determines what happens to the client. func will be called with server locked so no further actions on server can be performed from func.

If func returns GST_RTSP_FILTER_REMOVE, the client will be removed from server.

If func returns GST_RTSP_FILTER_KEEP, the client will remain in server.

If func returns GST_RTSP_FILTER_REF, the client will remain in server but will also be added with an additional ref to the result GList of this function..

When func is NULL, GST_RTSP_FILTER_REF will be assumed for each client.

Parameters:

`server` –

a GstRTSPServer

`func` ( [scope call][nullable]) –

a callback

`user_data` –

user data passed to func

Returns ( [element-typeGstRTSPClient][transfer: full]) –

a GList with all clients for which func returned GST_RTSP_FILTER_REF. After usage, each element in the GList should be unreffed before the list is freed.

#### GstRtspServer.RTSPServer.prototype.client_filter

    function GstRtspServer.RTSPServer.prototype.client_filter(func: GstRtspServer.RTSPServerClientFilterFunc, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_server_client_filter'
    }

Call func for each client managed by server. The result value of func determines what happens to the client. func will be called with server locked so no further actions on server can be performed from func.

If func returns GstRtspServer.RTSPFilterResult.REMOVE, the client will be removed from server.

If func returns GstRtspServer.RTSPFilterResult.KEEP, the client will remain in server.

If func returns GstRtspServer.RTSPFilterResult.REF, the client will remain in server but will also be added with an additional ref to the result GLib.List of this function..

When func is NULL, GstRtspServer.RTSPFilterResult.REF will be assumed for each client.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`func` (GstRtspServer.RTSPServerClientFilterFunc) –

a callback

`user_data` (Object) –

user data passed to func

Returns ([ GstRtspServer.RTSPClient ]) –

a GLib.List with all clients for which func returned GstRtspServer.RTSPFilterResult.REF. After usage, each element in the GLib.List should be unreffed before the list is freed.

#### GstRtspServer.RTSPServer.client_filter

    def GstRtspServer.RTSPServer.client_filter (self, func, *user_data):
        #python wrapper for 'gst_rtsp_server_client_filter'

Call func for each client managed by server. The result value of func determines what happens to the client. func will be called with server locked so no further actions on server can be performed from func.

If func returns GstRtspServer.RTSPFilterResult.REMOVE, the client will be removed from server.

If func returns GstRtspServer.RTSPFilterResult.KEEP, the client will remain in server.

If func returns GstRtspServer.RTSPFilterResult.REF, the client will remain in server but will also be added with an additional ref to the result GLib.List of this function..

When func is NULL, GstRtspServer.RTSPFilterResult.REF will be assumed for each client.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`func` (GstRtspServer.RTSPServerClientFilterFunc) –

a callback

`user_data` (variadic) –

user data passed to func

Returns ([ GstRtspServer.RTSPClient ]) –

a GLib.List with all clients for which func returned GstRtspServer.RTSPFilterResult.REF. After usage, each element in the GLib.List should be unreffed before the list is freed.

#### gst_rtsp_server_create_socket

    GSocket *
    gst_rtsp_server_create_socket (GstRTSPServer * server,
                                   GCancellable * cancellable,
                                   GError ** error)

Create a GSocket for server. The socket will listen on the configured service.

Parameters:

`server` –

a GstRTSPServer

`cancellable` ( [allow-none]) –

a GCancellable

`error` –

a GError

Returns ( [transfer: full]) –

the GSocket for server or NULL when an error occurred.

#### GstRtspServer.RTSPServer.prototype.create_socket

    function GstRtspServer.RTSPServer.prototype.create_socket(cancellable: Gio.Cancellable): {
        // javascript wrapper for 'gst_rtsp_server_create_socket'
    }

Create a Gio.Socket for server. The socket will listen on the configured service.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`cancellable` (Gio.Cancellable) –

a Gio.Cancellable

Returns (Gio.Socket) –

the Gio.Socket for server or NULL when an error occurred.

#### GstRtspServer.RTSPServer.create_socket

    @raises(GLib.GError)
    def GstRtspServer.RTSPServer.create_socket (self, cancellable):
        #python wrapper for 'gst_rtsp_server_create_socket'

Create a Gio.Socket for server. The socket will listen on the configured service.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`cancellable` (Gio.Cancellable) –

a Gio.Cancellable

Returns (Gio.Socket) –

the Gio.Socket for server or NULL when an error occurred.

#### gst_rtsp_server_create_source

    GSource *
    gst_rtsp_server_create_source (GstRTSPServer * server,
                                   GCancellable * cancellable,
                                   GError ** error)

Create a GSource for server. The new source will have a default GSocketSourceFunc of gst_rtsp_server_io_func.

cancellable if not NULL can be used to cancel the source, which will cause the source to trigger, reporting the current condition (which is likely 0 unless cancellation happened at the same time as a condition change). You can check for this in the callback using g_cancellable_is_cancelled.

This takes a reference on server until source is destroyed.

Parameters:

`server` –

a GstRTSPServer

`cancellable` ( [nullable]) –

a GCancellable or NULL.

`error` –

a GError

Returns ( [transfer: full]) –

the GSource for server or NULL when an error occurred. Free with g_source_unref ()

#### GstRtspServer.RTSPServer.prototype.create_source

    function GstRtspServer.RTSPServer.prototype.create_source(cancellable: Gio.Cancellable): {
        // javascript wrapper for 'gst_rtsp_server_create_source'
    }

Create a GSource (not introspectable) for server. The new source will have a default GSocketSourceFunc of GstRtspServer.RTSPServer.prototype.io_func.

cancellable if not NULL can be used to cancel the source, which will cause the source to trigger, reporting the current condition (which is likely 0 unless cancellation happened at the same time as a condition change). You can check for this in the callback using Gio.Cancellable.prototype.is_cancelled.

This takes a reference on server until source is destroyed.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`cancellable` (Gio.Cancellable) –

a Gio.Cancellable or NULL.

Returns (GSource (not introspectable)) –

the GSource (not introspectable) for server or NULL when an error occurred. Free with g_source_unref ()

#### GstRtspServer.RTSPServer.create_source

    @raises(GLib.GError)
    def GstRtspServer.RTSPServer.create_source (self, cancellable):
        #python wrapper for 'gst_rtsp_server_create_source'

Create a GSource (not introspectable) for server. The new source will have a default GSocketSourceFunc of GstRtspServer.RTSPServer.io_func.

cancellable if not NULL can be used to cancel the source, which will cause the source to trigger, reporting the current condition (which is likely 0 unless cancellation happened at the same time as a condition change). You can check for this in the callback using Gio.Cancellable.is_cancelled.

This takes a reference on server until source is destroyed.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`cancellable` (Gio.Cancellable) –

a Gio.Cancellable or NULL.

Returns (GSource (not introspectable)) –

the GSource (not introspectable) for server or NULL when an error occurred. Free with g_source_unref ()

#### gst_rtsp_server_get_address

    gchar*
    gst_rtsp_server_get_address (GstRTSPServer * server)

Get the address on which the server will accept connections.

Parameters:

`server` –

a GstRTSPServer

Returns ( [transfer: full][nullable]) –

the server address. g_free after usage.

#### GstRtspServer.RTSPServer.prototype.get_address

    function GstRtspServer.RTSPServer.prototype.get_address(): {
        // javascript wrapper for 'gst_rtsp_server_get_address'
    }

Get the address on which the server will accept connections.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (String) –

the server address. GLib.prototype.free after usage.

#### GstRtspServer.RTSPServer.get_address

    def GstRtspServer.RTSPServer.get_address (self):
        #python wrapper for 'gst_rtsp_server_get_address'

Get the address on which the server will accept connections.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (str) –

the server address. GLib.free after usage.

#### gst_rtsp_server_get_auth

    GstRTSPAuth *
    gst_rtsp_server_get_auth (GstRTSPServer * server)

Get the GstRTSPAuth used as the authentication manager of server.

Parameters:

`server` –

a GstRTSPServer

Returns ( [transfer: full][nullable]) –

the GstRTSPAuth of server. g_object_unref after usage.

#### GstRtspServer.RTSPServer.prototype.get_auth

    function GstRtspServer.RTSPServer.prototype.get_auth(): {
        // javascript wrapper for 'gst_rtsp_server_get_auth'
    }

Get the GstRtspServer.RTSPAuth used as the authentication manager of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (GstRtspServer.RTSPAuth) –

the GstRtspServer.RTSPAuth of server. GObject.Object.prototype.unref after usage.

#### GstRtspServer.RTSPServer.get_auth

    def GstRtspServer.RTSPServer.get_auth (self):
        #python wrapper for 'gst_rtsp_server_get_auth'

Get the GstRtspServer.RTSPAuth used as the authentication manager of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (GstRtspServer.RTSPAuth) –

the GstRtspServer.RTSPAuth of server. GObject.Object.unref after usage.

#### gst_rtsp_server_get_backlog

    gint
    gst_rtsp_server_get_backlog (GstRTSPServer * server)

The maximum amount of queued requests for the server.

Parameters:

`server` –

a GstRTSPServer

Returns –

the server backlog.

#### GstRtspServer.RTSPServer.prototype.get_backlog

    function GstRtspServer.RTSPServer.prototype.get_backlog(): {
        // javascript wrapper for 'gst_rtsp_server_get_backlog'
    }

The maximum amount of queued requests for the server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (Number) –

the server backlog.

#### GstRtspServer.RTSPServer.get_backlog

    def GstRtspServer.RTSPServer.get_backlog (self):
        #python wrapper for 'gst_rtsp_server_get_backlog'

The maximum amount of queued requests for the server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (int) –

the server backlog.

#### gst_rtsp_server_get_bound_port

    int
    gst_rtsp_server_get_bound_port (GstRTSPServer * server)

Get the port number where the server was bound to.

Parameters:

`server` –

a GstRTSPServer

Returns –

the port number

#### GstRtspServer.RTSPServer.prototype.get_bound_port

    function GstRtspServer.RTSPServer.prototype.get_bound_port(): {
        // javascript wrapper for 'gst_rtsp_server_get_bound_port'
    }

Get the port number where the server was bound to.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (Number) –

the port number

#### GstRtspServer.RTSPServer.get_bound_port

    def GstRtspServer.RTSPServer.get_bound_port (self):
        #python wrapper for 'gst_rtsp_server_get_bound_port'

Get the port number where the server was bound to.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (int) –

the port number

#### gst_rtsp_server_get_content_length_limit

    guint
    gst_rtsp_server_get_content_length_limit (GstRTSPServer * server)

Get the Content-Length limit of server.

Parameters:

`server` –

a GstRTSPServer

Returns –

the Content-Length limit.

Since : 1.18

#### GstRtspServer.RTSPServer.prototype.get_content_length_limit

    function GstRtspServer.RTSPServer.prototype.get_content_length_limit(): {
        // javascript wrapper for 'gst_rtsp_server_get_content_length_limit'
    }

Get the Content-Length limit of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (Number) –

the Content-Length limit.

Since : 1.18

#### GstRtspServer.RTSPServer.get_content_length_limit

    def GstRtspServer.RTSPServer.get_content_length_limit (self):
        #python wrapper for 'gst_rtsp_server_get_content_length_limit'

Get the Content-Length limit of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (int) –

the Content-Length limit.

Since : 1.18

#### gst_rtsp_server_get_mount_points

    GstRTSPMountPoints *
    gst_rtsp_server_get_mount_points (GstRTSPServer * server)

Get the GstRTSPMountPoints used as the mount points of server.

Parameters:

`server` –

a GstRTSPServer

Returns ( [transfer: full][nullable]) –

the GstRTSPMountPoints of server. g_object_unref after usage.

#### GstRtspServer.RTSPServer.prototype.get_mount_points

    function GstRtspServer.RTSPServer.prototype.get_mount_points(): {
        // javascript wrapper for 'gst_rtsp_server_get_mount_points'
    }

Get the GstRtspServer.RTSPMountPoints used as the mount points of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (GstRtspServer.RTSPMountPoints) –

the GstRtspServer.RTSPMountPoints of server. GObject.Object.prototype.unref after usage.

#### GstRtspServer.RTSPServer.get_mount_points

    def GstRtspServer.RTSPServer.get_mount_points (self):
        #python wrapper for 'gst_rtsp_server_get_mount_points'

Get the GstRtspServer.RTSPMountPoints used as the mount points of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (GstRtspServer.RTSPMountPoints) –

the GstRtspServer.RTSPMountPoints of server. GObject.Object.unref after usage.

#### gst_rtsp_server_get_service

    gchar*
    gst_rtsp_server_get_service (GstRTSPServer * server)

Get the service on which the server will accept connections.

Parameters:

`server` –

a GstRTSPServer

Returns ( [transfer: full]) –

the service. use g_free after usage.

#### GstRtspServer.RTSPServer.prototype.get_service

    function GstRtspServer.RTSPServer.prototype.get_service(): {
        // javascript wrapper for 'gst_rtsp_server_get_service'
    }

Get the service on which the server will accept connections.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (String) –

the service. use GLib.prototype.free after usage.

#### GstRtspServer.RTSPServer.get_service

    def GstRtspServer.RTSPServer.get_service (self):
        #python wrapper for 'gst_rtsp_server_get_service'

Get the service on which the server will accept connections.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (str) –

the service. use GLib.free after usage.

#### gst_rtsp_server_get_session_pool

    GstRTSPSessionPool *
    gst_rtsp_server_get_session_pool (GstRTSPServer * server)

Get the GstRTSPSessionPool used as the session pool of server.

Parameters:

`server` –

a GstRTSPServer

Returns ( [transfer: full][nullable]) –

the GstRTSPSessionPool used for sessions. g_object_unref after usage.

#### GstRtspServer.RTSPServer.prototype.get_session_pool

    function GstRtspServer.RTSPServer.prototype.get_session_pool(): {
        // javascript wrapper for 'gst_rtsp_server_get_session_pool'
    }

Get the GstRtspServer.RTSPSessionPool used as the session pool of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (GstRtspServer.RTSPSessionPool) –

the GstRtspServer.RTSPSessionPool used for sessions. GObject.Object.prototype.unref after usage.

#### GstRtspServer.RTSPServer.get_session_pool

    def GstRtspServer.RTSPServer.get_session_pool (self):
        #python wrapper for 'gst_rtsp_server_get_session_pool'

Get the GstRtspServer.RTSPSessionPool used as the session pool of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (GstRtspServer.RTSPSessionPool) –

the GstRtspServer.RTSPSessionPool used for sessions. GObject.Object.unref after usage.

#### gst_rtsp_server_get_thread_pool

    GstRTSPThreadPool *
    gst_rtsp_server_get_thread_pool (GstRTSPServer * server)

Get the GstRTSPThreadPool used as the thread pool of server.

Parameters:

`server` –

a GstRTSPServer

Returns ( [transfer: full][nullable]) –

the GstRTSPThreadPool of server. g_object_unref after usage.

#### GstRtspServer.RTSPServer.prototype.get_thread_pool

    function GstRtspServer.RTSPServer.prototype.get_thread_pool(): {
        // javascript wrapper for 'gst_rtsp_server_get_thread_pool'
    }

Get the GstRtspServer.RTSPThreadPool used as the thread pool of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (GstRtspServer.RTSPThreadPool) –

the GstRtspServer.RTSPThreadPool of server. GObject.Object.prototype.unref after usage.

#### GstRtspServer.RTSPServer.get_thread_pool

    def GstRtspServer.RTSPServer.get_thread_pool (self):
        #python wrapper for 'gst_rtsp_server_get_thread_pool'

Get the GstRtspServer.RTSPThreadPool used as the thread pool of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (GstRtspServer.RTSPThreadPool) –

the GstRtspServer.RTSPThreadPool of server. GObject.Object.unref after usage.

#### gst_rtsp_server_set_address

    gst_rtsp_server_set_address (GstRTSPServer * server,
                                 const gchar* address)

Configure server to accept connections on the given address.

This function must be called before the server is bound.

Parameters:

`server` –

a GstRTSPServer

`address` –

the address

#### GstRtspServer.RTSPServer.prototype.set_address

    function GstRtspServer.RTSPServer.prototype.set_address(address: String): {
        // javascript wrapper for 'gst_rtsp_server_set_address'
    }

Configure server to accept connections on the given address.

This function must be called before the server is bound.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`address` (String) –

the address

#### GstRtspServer.RTSPServer.set_address

    def GstRtspServer.RTSPServer.set_address (self, address):
        #python wrapper for 'gst_rtsp_server_set_address'

Configure server to accept connections on the given address.

This function must be called before the server is bound.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`address` (str) –

the address

#### gst_rtsp_server_set_auth

    gst_rtsp_server_set_auth (GstRTSPServer * server,
                              GstRTSPAuth * auth)

configure auth to be used as the authentication manager of server.

Parameters:

`server` –

a GstRTSPServer

`auth` ( [transfer: none][nullable]) –

a GstRTSPAuth

#### GstRtspServer.RTSPServer.prototype.set_auth

    function GstRtspServer.RTSPServer.prototype.set_auth(auth: GstRtspServer.RTSPAuth): {
        // javascript wrapper for 'gst_rtsp_server_set_auth'
    }

configure auth to be used as the authentication manager of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`auth` (GstRtspServer.RTSPAuth) –

a GstRtspServer.RTSPAuth

#### GstRtspServer.RTSPServer.set_auth

    def GstRtspServer.RTSPServer.set_auth (self, auth):
        #python wrapper for 'gst_rtsp_server_set_auth'

configure auth to be used as the authentication manager of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`auth` (GstRtspServer.RTSPAuth) –

a GstRtspServer.RTSPAuth

#### gst_rtsp_server_set_backlog

    gst_rtsp_server_set_backlog (GstRTSPServer * server,
                                 gint backlog)

configure the maximum amount of requests that may be queued for the server.

This function must be called before the server is bound.

Parameters:

`server` –

a GstRTSPServer

`backlog` –

the backlog

#### GstRtspServer.RTSPServer.prototype.set_backlog

    function GstRtspServer.RTSPServer.prototype.set_backlog(backlog: Number): {
        // javascript wrapper for 'gst_rtsp_server_set_backlog'
    }

configure the maximum amount of requests that may be queued for the server.

This function must be called before the server is bound.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`backlog` (Number) –

the backlog

#### GstRtspServer.RTSPServer.set_backlog

    def GstRtspServer.RTSPServer.set_backlog (self, backlog):
        #python wrapper for 'gst_rtsp_server_set_backlog'

configure the maximum amount of requests that may be queued for the server.

This function must be called before the server is bound.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`backlog` (int) –

the backlog

#### gst_rtsp_server_set_content_length_limit

    gst_rtsp_server_set_content_length_limit (GstRTSPServer * server,
                                              guint limit)

Define an appropriate request size limit and reject requests exceeding the limit.

Parameters:

`server` –

a GstRTSPServer Configure server to use the specified Content-Length limit.

`limit` –
No description available

Since : 1.18

#### GstRtspServer.RTSPServer.prototype.set_content_length_limit

    function GstRtspServer.RTSPServer.prototype.set_content_length_limit(limit: Number): {
        // javascript wrapper for 'gst_rtsp_server_set_content_length_limit'
    }

Define an appropriate request size limit and reject requests exceeding the limit.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer Configure server to use the specified Content-Length limit.

`limit` (Number) –
No description available

Since : 1.18

#### GstRtspServer.RTSPServer.set_content_length_limit

    def GstRtspServer.RTSPServer.set_content_length_limit (self, limit):
        #python wrapper for 'gst_rtsp_server_set_content_length_limit'

Define an appropriate request size limit and reject requests exceeding the limit.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer Configure server to use the specified Content-Length limit.

`limit` (int) –
No description available

Since : 1.18

#### gst_rtsp_server_set_mount_points

    gst_rtsp_server_set_mount_points (GstRTSPServer * server,
                                      GstRTSPMountPoints * mounts)

configure mounts to be used as the mount points of server.

Parameters:

`server` –

a GstRTSPServer

`mounts` ( [transfer: none][nullable]) –

a GstRTSPMountPoints

#### GstRtspServer.RTSPServer.prototype.set_mount_points

    function GstRtspServer.RTSPServer.prototype.set_mount_points(mounts: GstRtspServer.RTSPMountPoints): {
        // javascript wrapper for 'gst_rtsp_server_set_mount_points'
    }

configure mounts to be used as the mount points of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

#### GstRtspServer.RTSPServer.set_mount_points

    def GstRtspServer.RTSPServer.set_mount_points (self, mounts):
        #python wrapper for 'gst_rtsp_server_set_mount_points'

configure mounts to be used as the mount points of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

#### gst_rtsp_server_set_service

    gst_rtsp_server_set_service (GstRTSPServer * server,
                                 const gchar* service)

Configure server to accept connections on the given service. service should be a string containing the service name (see services(5)) or a string containing a port number between 1 and 65535.

When service is set to "0", the server will listen on a random free port. The actual used port can be retrieved with gst_rtsp_server_get_bound_port.

This function must be called before the server is bound.

Parameters:

`server` –

a GstRTSPServer

`service` –

the service

#### GstRtspServer.RTSPServer.prototype.set_service

    function GstRtspServer.RTSPServer.prototype.set_service(service: String): {
        // javascript wrapper for 'gst_rtsp_server_set_service'
    }

Configure server to accept connections on the given service. service should be a string containing the service name (see services(5)) or a string containing a port number between 1 and 65535.

When service is set to "0", the server will listen on a random free port. The actual used port can be retrieved with GstRtspServer.RTSPServer.prototype.get_bound_port.

This function must be called before the server is bound.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`service` (String) –

the service

#### GstRtspServer.RTSPServer.set_service

    def GstRtspServer.RTSPServer.set_service (self, service):
        #python wrapper for 'gst_rtsp_server_set_service'

Configure server to accept connections on the given service. service should be a string containing the service name (see services(5)) or a string containing a port number between 1 and 65535.

When service is set to "0", the server will listen on a random free port. The actual used port can be retrieved with GstRtspServer.RTSPServer.get_bound_port.

This function must be called before the server is bound.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`service` (str) –

the service

#### gst_rtsp_server_set_session_pool

    gst_rtsp_server_set_session_pool (GstRTSPServer * server,
                                      GstRTSPSessionPool * pool)

configure pool to be used as the session pool of server.

Parameters:

`server` –

a GstRTSPServer

`pool` ( [transfer: none][nullable]) –

a GstRTSPSessionPool

#### GstRtspServer.RTSPServer.prototype.set_session_pool

    function GstRtspServer.RTSPServer.prototype.set_session_pool(pool: GstRtspServer.RTSPSessionPool): {
        // javascript wrapper for 'gst_rtsp_server_set_session_pool'
    }

configure pool to be used as the session pool of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`pool` (GstRtspServer.RTSPSessionPool) –

a GstRtspServer.RTSPSessionPool

#### GstRtspServer.RTSPServer.set_session_pool

    def GstRtspServer.RTSPServer.set_session_pool (self, pool):
        #python wrapper for 'gst_rtsp_server_set_session_pool'

configure pool to be used as the session pool of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`pool` (GstRtspServer.RTSPSessionPool) –

a GstRtspServer.RTSPSessionPool

#### gst_rtsp_server_set_thread_pool

    gst_rtsp_server_set_thread_pool (GstRTSPServer * server,
                                     GstRTSPThreadPool * pool)

configure pool to be used as the thread pool of server.

Parameters:

`server` –

a GstRTSPServer

`pool` ( [transfer: none][nullable]) –

a GstRTSPThreadPool

#### GstRtspServer.RTSPServer.prototype.set_thread_pool

    function GstRtspServer.RTSPServer.prototype.set_thread_pool(pool: GstRtspServer.RTSPThreadPool): {
        // javascript wrapper for 'gst_rtsp_server_set_thread_pool'
    }

configure pool to be used as the thread pool of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`pool` (GstRtspServer.RTSPThreadPool) –

a GstRtspServer.RTSPThreadPool

#### GstRtspServer.RTSPServer.set_thread_pool

    def GstRtspServer.RTSPServer.set_thread_pool (self, pool):
        #python wrapper for 'gst_rtsp_server_set_thread_pool'

configure pool to be used as the thread pool of server.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`pool` (GstRtspServer.RTSPThreadPool) –

a GstRtspServer.RTSPThreadPool

#### gst_rtsp_server_transfer_connection

    gboolean
    gst_rtsp_server_transfer_connection (GstRTSPServer * server,
                                         GSocket * socket,
                                         const gchar* ip,
                                         gint port,
                                         const gchar* initial_buffer)

Take an existing network socket and use it for an RTSP connection. This is used when transferring a socket from an HTTP server which should be used as an RTSP over HTTP tunnel. The initial_buffer contains any remaining data that the HTTP server read from the socket while parsing the HTTP header.

Parameters:

`server` –

a GstRTSPServer

`socket` ( [transfer: full]) –

a network socket

`ip` –

the IP address of the remote client

`port` –

the port used by the other end

`initial_buffer` ( [nullable]) –

any initial data that was already read from the socket

Returns –

TRUE if all was ok, FALSE if an error occurred.

#### GstRtspServer.RTSPServer.prototype.transfer_connection

    function GstRtspServer.RTSPServer.prototype.transfer_connection(socket: Gio.Socket, ip: String, port: Number, initial_buffer: String): {
        // javascript wrapper for 'gst_rtsp_server_transfer_connection'
    }

Take an existing network socket and use it for an RTSP connection. This is used when transferring a socket from an HTTP server which should be used as an RTSP over HTTP tunnel. The initial_buffer contains any remaining data that the HTTP server read from the socket while parsing the HTTP header.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`socket` (Gio.Socket) –

a network socket

`ip` (String) –

the IP address of the remote client

`port` (Number) –

the port used by the other end

`initial_buffer` (String) –

any initial data that was already read from the socket

Returns (Number) –

TRUE if all was ok, FALSE if an error occurred.

#### GstRtspServer.RTSPServer.transfer_connection

    def GstRtspServer.RTSPServer.transfer_connection (self, socket, ip, port, initial_buffer):
        #python wrapper for 'gst_rtsp_server_transfer_connection'

Take an existing network socket and use it for an RTSP connection. This is used when transferring a socket from an HTTP server which should be used as an RTSP over HTTP tunnel. The initial_buffer contains any remaining data that the HTTP server read from the socket while parsing the HTTP header.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

`socket` (Gio.Socket) –

a network socket

`ip` (str) –

the IP address of the remote client

`port` (int) –

the port used by the other end

`initial_buffer` (str) –

any initial data that was already read from the socket

Returns (bool) –

TRUE if all was ok, FALSE if an error occurred.

### Functions

#### gst_rtsp_server_io_func

    gboolean
    gst_rtsp_server_io_func (GSocket * socket,
                             GIOCondition condition,
                             GstRTSPServer * server)

A default GSocketSourceFunc that creates a new GstRTSPClient to accept and handle a new connection on socket or server.

Parameters:

`socket` –

a GSocket

`condition` –

the condition on source

`server` ( [transfer: none]) –

a GstRTSPServer

Returns –

TRUE if the source could be connected, FALSE if an error occurred.

#### GstRtspServer.RTSPServer.prototype.io_func

    function GstRtspServer.RTSPServer.prototype.io_func(socket: Gio.Socket, condition: GObject.IOCondition, server: GstRtspServer.RTSPServer): {
        // javascript wrapper for 'gst_rtsp_server_io_func'
    }

A default GSocketSourceFunc that creates a new GstRtspServer.RTSPClient to accept and handle a new connection on socket or server.

Parameters:

`socket` (Gio.Socket) –

a Gio.Socket

`condition` (GObject.IOCondition) –

the condition on source

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (Number) –

TRUE if the source could be connected, FALSE if an error occurred.

#### GstRtspServer.RTSPServer.io_func

    def GstRtspServer.RTSPServer.io_func (socket, condition, server):
        #python wrapper for 'gst_rtsp_server_io_func'

A default GSocketSourceFunc that creates a new GstRtspServer.RTSPClient to accept and handle a new connection on socket or server.

Parameters:

`socket` (Gio.Socket) –

a Gio.Socket

`condition` (GObject.IOCondition) –

the condition on source

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer

Returns (bool) –

TRUE if the source could be connected, FALSE if an error occurred.

### Signals

#### client-connected

    client_connected_callback (GstRTSPServer * self,
                               GstRTSPClient * object,
                               gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### client-connected

    function client_connected_callback(self: GstRtspServer.RTSPServer, object: GstRtspServer.RTSPClient, user_data: Object): {
        // javascript callback for the 'client-connected' signal
    }

Parameters:

`self` (GstRtspServer.RTSPServer) –
No description available
`object` (GstRtspServer.RTSPClient) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### client-connected

    def client_connected_callback (self, object, *user_data):
        #python callback for the 'client-connected' signal

Parameters:

`self` (GstRtspServer.RTSPServer) –
No description available
`object` (GstRtspServer.RTSPClient) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

### Properties

#### address

    “address” gchar*

Flags : Read / Write

#### address

    “address” String

Flags : Read / Write

#### address

    “self.props.address” str

Flags : Read / Write

#### backlog

    “backlog” gint

Flags : Read / Write

#### backlog

    “backlog” Number

Flags : Read / Write

#### backlog

    “self.props.backlog” int

Flags : Read / Write

#### bound-port

    “bound-port” gint

Flags : Read

#### bound-port

    “bound-port” Number

Flags : Read

#### bound_port

    “self.props.bound_port” int

Flags : Read

#### content-length-limit

    “content-length-limit” guint

Flags : Read / Write

#### content-length-limit

    “content-length-limit” Number

Flags : Read / Write

#### content_length_limit

    “self.props.content_length_limit” int

Flags : Read / Write

#### mount-points

    “mount-points” GstRTSPMountPoints *

Flags : Read / Write

#### mount-points

    “mount-points” GstRtspServer.RTSPMountPoints

Flags : Read / Write

#### mount_points

    “self.props.mount_points” GstRtspServer.RTSPMountPoints

Flags : Read / Write

#### service

    “service” gchar*

Flags : Read / Write

#### service

    “service” String

Flags : Read / Write

#### service

    “self.props.service” str

Flags : Read / Write

#### session-pool

    “session-pool” GstRTSPSessionPool *

Flags : Read / Write

#### session-pool

    “session-pool” GstRtspServer.RTSPSessionPool

Flags : Read / Write

#### session_pool

    “self.props.session_pool” GstRtspServer.RTSPSessionPool

Flags : Read / Write

### Virtual Methods

#### client_connected

    client_connected (GstRTSPServer * server,
                      GstRTSPClient * client)

emitted when a new client connected.

Parameters:

`server` –
No description available
`client` –
No description available

#### vfunc_client_connected

    function vfunc_client_connected(server: GstRtspServer.RTSPServer, client: GstRtspServer.RTSPClient): {
        // javascript implementation of the 'client_connected' virtual method
    }

emitted when a new client connected.

Parameters:

`server` (GstRtspServer.RTSPServer) –
No description available
`client` (GstRtspServer.RTSPClient) –
No description available

#### do_client_connected

    def do_client_connected (server, client):
        #python implementation of the 'client_connected' virtual method

emitted when a new client connected.

Parameters:

`server` (GstRtspServer.RTSPServer) –
No description available
`client` (GstRtspServer.RTSPClient) –
No description available

#### create_client

    GstRTSPClient *
    create_client (GstRTSPServer * server)

Create, configure a new GstRTSPClient object that handles the new connection on socket. The default implementation will create a GstRTSPClient and will configure the mount-points, auth, session-pool and thread-pool on the client.

Parameters:

`server` –
No description available
Returns –
No description available

## Function Macros

### GST_RTSP_SERVER_CAST

    #define GST_RTSP_SERVER_CAST(obj)         ((GstRTSPServer*)(obj))

### GST_RTSP_SERVER_CLASS_CAST

    #define GST_RTSP_SERVER_CLASS_CAST(klass) ((GstRTSPServerClass*)(klass))

## Callbacks

### GstRTSPServerClientFilterFunc

    GstRTSPFilterResult
    (*GstRTSPServerClientFilterFunc) (GstRTSPServer * server,
                                      GstRTSPClient * client,
                                      gpointer user_data)

This function will be called by the gst_rtsp_server_client_filter. An implementation should return a value of GstRTSPFilterResult.

When this function returns GST_RTSP_FILTER_REMOVE, client will be removed from server.

A return value of GST_RTSP_FILTER_KEEP will leave client untouched in server.

A value of GST_RTSP_FILTER_REF will add client to the result GList of gst_rtsp_server_client_filter.

Parameters:

`server` –

a GstRTSPServer object

`client` –

a GstRTSPClient in server

`user_data` –

user data that has been given to gst_rtsp_server_client_filter

Returns –

a GstRTSPFilterResult.

### GstRtspServer.RTSPServerClientFilterFunc

    function GstRtspServer.RTSPServerClientFilterFunc(server: GstRtspServer.RTSPServer, client: GstRtspServer.RTSPClient, user_data: Object): {
        // javascript wrapper for 'GstRTSPServerClientFilterFunc'
    }

This function will be called by the GstRtspServer.RTSPServer.prototype.client_filter. An implementation should return a value of GstRtspServer.RTSPFilterResult.

When this function returns GstRtspServer.RTSPFilterResult.REMOVE, client will be removed from server.

A return value of GstRtspServer.RTSPFilterResult.KEEP will leave client untouched in server.

A value of GstRtspServer.RTSPFilterResult.REF will add client to the result GLib.List of GstRtspServer.RTSPServer.prototype.client_filter.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer object

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient in server

`user_data` (Object) –

user data that has been given to GstRtspServer.RTSPServer.prototype.client_filter

Returns (GstRtspServer.RTSPFilterResult) –

a GstRtspServer.RTSPFilterResult.

### GstRtspServer.RTSPServerClientFilterFunc

    def GstRtspServer.RTSPServerClientFilterFunc (server, client, *user_data):
        #python wrapper for 'GstRTSPServerClientFilterFunc'

This function will be called by the GstRtspServer.RTSPServer.client_filter. An implementation should return a value of GstRtspServer.RTSPFilterResult.

When this function returns GstRtspServer.RTSPFilterResult.REMOVE, client will be removed from server.

A return value of GstRtspServer.RTSPFilterResult.KEEP will leave client untouched in server.

A value of GstRtspServer.RTSPFilterResult.REF will add client to the result GLib.List of GstRtspServer.RTSPServer.client_filter.

Parameters:

`server` (GstRtspServer.RTSPServer) –

a GstRtspServer.RTSPServer object

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient in server

`user_data` (variadic) –

user data that has been given to GstRtspServer.RTSPServer.client_filter

Returns (GstRtspServer.RTSPFilterResult) –

a GstRtspServer.RTSPFilterResult.

The results of the search are